.custom-post-list {
    display: flex;
    flex-direction: column;
}

.custom-post-list > div {
    margin-bottom: 20px;
    padding-bottom: 20px;
}

.custom-post-list .title {
    font-size: 24px;
    line-height: 1.1;
    font-weight: bold;
    font-family: "Noe Display"; /* FIXME child theme?*/
}

.custom-post-list .excerpt::after {
    content: '...';
}



/**
    Interaction Styles
 */
@media (hover: hover) {
    .custom-post-list.expandable > div:not(.expanded) {
        cursor: pointer;
    }

    .custom-post-list.has-overlay > div {
        cursor: pointer;
        transition: all .3s;
    }
    .custom-post-list.has-overlay > div:hover {
        transform: translateX(50px);
    }

}


/**
    FIXME specific styles
 */
.entry-content > *:not(.grid){
    visibility: visible !important;
    opacity: 1 !important;
}

.postid-2445 #overlay {
    color: #0a0a0a !important;
}
/**
  * List
  */

.month-sep {
    font-weight: 700!important;
    text-transform: none;
    letter-spacing: 0px;
    padding-bottom: 5px !important;
    margin-top: 2px;
    margin-bottom: 0 !important;
    /* font-size: 1.2em; */
    /* color: #ae006d; */ /* FIXME move to child theme*/
    transform: none !important;
    cursor: auto !important;
}

.events .event {
    transition: transform .5s;
    border-bottom: 1px solid #eee;
    padding-bottom: 25px;
    margin-bottom: 25px;
}



.event  {
    font-weight: 300!important;
    line-height: 1.4em!important;
    font-size: 17px;
    border-bottom: 1px solid #eee;
}

.event img {
    width: 100%;
}

.event .excerpt::after {
    content: "...";
}

.event .text {
    display: flex;
    flex-direction: column;
}

.event .content {
    transition: all 1s;
}

.event-content-enter-active {
    animation: event-content 1s ;
}
.event-content-leave-active {
    animation: event-content  1s reverse;
}
@keyframes event-content  {
    0% {
        opacity: 0;
        max-height: 0;
        flex:0;

    }
    60% {
        opacity: 0;
        max-height: 100vh;
        flex:1;

    }
    100% {
        opacity: 1;
    }
}


.event time {
    text-transform: uppercase!important;
    padding-bottom: 10px!important;
    font-weight: 400!important;
    /* font-size: 20px!important; */
    font-size: 1em !important;
}
.event .title {
    line-height: 1em;
    padding: 5px 0!important;
    /* font-size: 32px!important; */
    font-weight: bold;
    font-size: 1.5em;
}




.event .meta {
    display: flex;
    flex-direction: column;
    /* justify-content: space-between; */
    /* align-items: center; */
}
.event .action {
    /* padding-left: 50px; */
    padding-top: 10px;
}



/**
 * Overlay
 */
#overlay-content .location {
    padding-bottom: 0px !important;
    border-bottom: none !important;
    margin-bottom: 20px;
}
#overlay img {
    margin-bottom: 50px !important;
    pointer-events: none;
    width: 100% !important;
}

#overlay #overlay-content h1 {
    /*font-size: 44px!important;*/
    padding-bottom: 6px;
    line-height: 1.05em!important;
    letter-spacing: 0px!important;
    /*font-family: "Noe Display";*/
    margin-bottom: 0.5em !important;
    font-weight: bold;
}

#overlay-content .time, #overlay-content .location {
    text-transform: uppercase!important;
    padding-bottom: 0px!important;
    font-weight: 400!important;
    font-size: 18px!important;
    line-height: 1.3em!important;
}

#overlay .button.tickets {
    text-transform: uppercase;
    font-size: 0.6875rem;
    font-weight: 600;
    letter-spacing: 2.5px;
    padding: 8px 20px !important;
    position: relative;
    margin-bottom: 22px;
}


@media (min-width: 768px) {
    .events .event:hover {
        transform: translateX(30px);
    }
}


/**
 * Responsive
 */
@media screen and (max-width: 480px) {
    .event .title {
        font-size: 26px!important
    }
    .event time {
        font-size: 17px!important
    }

    .event .title {
        font-size: 26px!important
    }
    .event time {

        font-size: 17px!important
    }
    #overlay #overlay-content h1 {
        /*font-size: 30px!important;*/
        padding-bottom: 6px;
        line-height: 1.05em!important;
        letter-spacing: 0px!important;
        /*font-family: EksellDisplay, serif;*/
        margin-bottom: 0.5em !important;
    }
    #overlay-content .time, #overlay-content .location {
        font-size: 16px!important;
    }
    #overlay #overlay-content p {
        font-size: 16px!important;
        line-height: 1.5em!important
    }
}

/**
 * Vue overlay
 */
#overlay {
    position: fixed;
    width: 100vw;
    height: 100vh;
    /* background: #79c7b2; */
    background: white;
    /*TODO: Instellen per event? */
    z-index: 999999999999999999999;
    top: 0 !important;
    /* display: flex; */
    display: flex;
    align-items: center;
    flex-direction: column;
    left:  0;
    overflow-y: scroll;
    margin-top:  0 !important;
    overflow-x: hidden;
    -webkit-overflow-scrolling: touch !important;
    overscroll-behavior: contain;
}

#overlay-content {
    width: 100vw;
    max-width: 800px;
}

#overlay main {
    position: absolute;
    max-width: 800px;
    margin: 50px auto auto;
    width: 100%;
    box-sizing: border-box;
    padding: 25px;
    padding-bottom: 100px;
    /* margin-left: 30%; */
    /* padding-left: 10%; */
    /* margin-right: 20%; */
}

#overlay .modal-footer {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    /* height: 200px; */
    margin-top: 120px;
}

#overlay header {
    display: flex;
    margin-top: 100px;
    z-index: 99999999999999999999;
}

#overlay h1 {
    transition: all 0.5s;
    font-size: 64px;
    font-family: "Noe Display";
    line-height: 1;
    word-break: break-word;
    /* margin-left: 50px; */
    margin-top:  0;
}

/**
 * FIXME: Calefate-dependent
 */
#overlay .button {
    text-transform: uppercase;
    border: none;
    font-size: 0.6875rem;
    font-weight: 600;
    letter-spacing: 2.5px;
    display: inline-flex;
    padding: 40px 25px;
    /* height: 200px; */
    padding-top: 10px;
    /* text-align: center; */
    position: relative;
    /* transition: all 180ms linear; */
    /* margin: 100px 0px; */
}

#overlay header > * {
    margin-left: 30px;
}

#overlay header .close {
    transition: all 0.3s cubic-bezier(0.68, -0.55, 0.265, 1.55);
    padding: 20px;
    margin-left: auto;
    justify-self: flex-end;
    margin-right: 25px;
    z-index: 1;
    background-image: url(overlay/close.svg);
    background-repeat: no-repeat;
    background-position: center center;
}

#overlay header .close:hover {
    transform: scale(1.4);
}

#overlay .next:hover {
    background-image: none;
    opacity: 1;
}

#overlay .next {
    background: url("overlay/arrow.svg");
    background-repeat: no-repeat;
    background-position: center;
    cursor: url(overlay/arrow.svg) 100 50, auto;
    width: 100%;
    text-align: center;
    justify-content: center;
    opacity: 0.3;
}


/**
 * Transitions
 */

/*// Slide fade*/
.overlay-transition-enter-active {
    animation: overlay-frames .5s;
}
.overlay-transition-leave-active {
    animation: overlay-frames  .5s reverse;
}
@keyframes overlay-frames  {
    0% {
        transform: translateY(50px);
        opacity: 0;
    }
    100% {
        transform: translateY(0px);
        opacity: 1;
    }
}

/* Content */
.overlay-content-transition-enter-active, .overlay-content-transition-leave-active {
    transition: all .5s cubic-bezier(0.075, 0.820, 0.165, 1.000);
}

.overlay-content-transition-enter, .overlay-content-transition-leave-to {
}

.overlay-content-transition-leave-to{
    transform: translateX(-100vw);
}

.overlay-content-transition-enter {
    transform: translateX(100vw);
}

.overlay-content-transition-enter-to {
    /*color: white !important;*/
    /*opacity: 0.5;*/


}


.overlay-content-transition-enter-to section.lesbrieven, .overlay-content-transition-leave-to section.lesbrieven {
    /*color: white !important;*/
        background: white !important;


}




/**
 * Responsive
 */
@media (max-width: 800px) {
    #overlay header {
        margin-top: 25px !important;
    }

    #overlay main {
        margin-top: 0 !important;
    }
}
li.subitem:first-child {
    margin-left: 0 !important;
}

.toplevel-item ul {
    margin: 0;
}

#overlay svg {
    stroke: var(--overlay-text-color);
    fill: var(--overlay-text-color);
}
#overlay .next svg {
    position:relative;
    top: 16px;
   }